/*
 *      Program do konwersji logow Gadu do ekg.
 *      Sprawdzanie atrybutow linii komend.
 *
 *      copyright (c) 2004 by Lukasz Bartnik
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License Version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

extern int opterr;

#include "options.h"

Options::Options(int argc, char *argv[])
	: _help(false),_convertContacts(false)
{
	int opt;
    
	opterr = 0; /* teraz nie wywala bledow na stderr */
    
	while( (opt = getopt( argc, argv, "n:c:l:ht:")) != -1 ) {
		 switch(opt) {
			case 'n':
				_ownerNick = string(optarg);
				break;
			case 'c':
				_contactsFile = string(optarg);
				break;
			case 'l':
				_logsFile = string(optarg);
				break;
			case 't':
				_convertContacts = true;
				_contactsFile = string(optarg);
				break;
			case 'h':
				_help = true;
				break;
		 }
	} /* while getopt */
}
